Name:       perl-Test-Strict 
Version:        0.13
Release:        1%{?dist}
# see lib/Test/Strict.pm
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    Check syntax, presence of use strict/warnings, and test coverage
Source:     http://search.cpan.org/CPAN/authors/id/P/PD/PDENIS/Test-Strict-%{version}.tar.gz 
Url:        http://search.cpan.org/dist/Test-Strict
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker) 
BuildRequires: perl(Devel::Cover) >= 0.43
BuildRequires: perl(File::Find) >= 0.01
BuildRequires: perl(File::Spec) >= 0.01
BuildRequires: perl(File::Temp) >= 0.01
BuildRequires: perl(FindBin) >= 0.01
BuildRequires: perl(Test::Builder) >= 0.01
BuildRequires: perl(Test::Simple) >= 0.47
BuildRequires: perl(Test::More)

%description
"Test::Strict" lets you check the syntax, presence of "use strict;" and
"use warnings;" in your perl code.  It reports its results in standard 
"Test::Simple" fashion. 

%prep
%setup -q -n Test-Strict-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc README Changes 
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Wed Feb 11 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.13-1
- update to 0.13

* Tue Nov 25 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.09-2
- bump

* Tue Nov 18 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.09-1
- update for submission

* Wed Nov 12 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.09-0.1
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.5)

